#!/bin/bash
BUTLER_CHANNEL="$1"

CHANNEL=$(echo "$BUTLER_CHANNEL" | awk '{print tolower($0)}')
case $CHANNEL in
    "windows")
        CHANNEL=win64
        ;;
    "windows32bit")
        CHANNEL=win32
        ;;
    "mac")
        CHANNEL=osx
        ;;
    "ios")
        CHANNEL=ios
        ;;
    "linux")
        CHANNEL=linux
        ;;
    "android")
        CHANNEL=android
        ;;
    "webgl")
        CHANNEL=webgl
        ;;
esac

echo "channel=$CHANNEL" >> "$GITHUB_OUTPUT"
